DRUO
Get started
Accounts

Disconnect Account

PUThttps://api.druo.com/accounts/{account_uuid}/disconnect

Disconnects an Account from a Merchant.

Disconnects an Account object from a Merchant while providing a disconnection reason and an optional note.

Path parameters

account_uuidstringRequired

The unique identifier of the resource.

Request body

disconnection_reasonstringRequired

The reason why the account is being disconnected.

disconnection_notestringoptional

An optional note providing additional details about the disconnection.

Response

uuidstringoptional

The unique identifier (UUID) of the connected account.

Example: acc_747536f4-1efd-4cad-91b3-cc8aaeed93e3
codestringoptional

The connected account's unique code.

Example: ACSCDSVFGH
current_statusstringoptional

The current connection status of the account.

Example: CONNECTED

Indicates whether this account requires validation. If true, use the Validate Account endpoint.

Example: false

A list of pending account validations required to complete the connection.

Example: [{"slug":"b8772a3a-ca25-4fec-a669-adb91d6ee26d-bc4277fa-3d5c-4383-bb50-f044975a66eb","action":"CONFIRM_REQUEST_WITH_INSTITUTION"}]
remarksstringoptional

Remarks or error details for this connected account.

Example: ACCOUNT_DOES_NOT_EXIST
institutionobjectoptional

Object containing the details of the financial institution where the account is registered.

Example: {"uuid": "ins_ff6c5094-1cd1-11ec-9621-0242ac130002", "name": "Banco"}
last_4stringoptional

The last four digits of the actual account number.

Example: 4524
typestringoptional

The type of account, which determines whether the account holds store value.

Example: DEPOSITORY
subtypestringoptional

The subtype of the account, providing further detail about the account type.

Example: SAVINGS
capabilitiesstringoptional

A comma-separated list of capabilities supported by this account.

Example: PAYMENTS, BALANCE, IDENTITY, AUTHENTICATION, TRANSFERS
end_userEndUseroptional

The end user details associated with this account.

disconnection_reasonstringoptional

The reason why the account was disconnected.

Example: ACTIVITY_COMPLETED
disconnection_notestringoptional

An optional note describing the disconnection.

primary_referencestringoptional

The primary reference string used to associate the account with an external system entity.

Example: 23423524
secondary_referencestringoptional

The secondary reference string used to associate the account with an external system entity.

Example: bj39fhow39fhqp3f0hfae4344
metadataobjectoptional

Key-value pairs containing custom metadata attached to the object.

Example: {"order_id": "6735"}
creation_sourcestringoptional

The creation source for this account.

Example: MERCHANT_API
date_created_gmtstringoptional

The creation date and time of the account in GMT.

Example: 2021-11-15T23:23:38Z
date_updated_gmtstringoptional

The update date and time of the account in GMT.

Example: 2021-11-15T23:23:38Z
NextPOSTCreate Checkout Link